CLASS TEMPLATE(3)

NAME
boost::signals2::keywords::combiner_type - A template keyword for signal_type.

SYNOPSIS

// In header: <boost/signals2/signal_type.hpp>
template<typename Combiner>
class combiner_type : public unspecified-type {
};

DESCRIPTION

This class is a template keyword which may be used to pass the wrapped Combiner template type to the signal_type metafunction as a named parameter.

The code for this class is generated by a calling a macro from the Boost.Parameter library: BOOST_PARAMETER_TEMPLATE_KEYWORD(combiner_type)